Loading...
Searching...
No Matches
juce::dsp::Reverb Class Reference

## Detailed Description

Processor wrapper around juce::Reverb for easy integration into ProcessorChain.

The documentation for this class was generated from the following file:

- juce_dsp/widgets/juce_Reverb.h

## Public Types

using | Parameters = juce::Reverb::Parameters

## Public Member Functions

| Reverb ()=default
| Creates an uninitialised Reverb processor.
const Parameters & | getParameters () const noexcept
| Returns the reverb's current parameters.
void | setParameters (const Parameters &newParams)
| Applies a new set of parameters to the reverb.
bool | isEnabled () const noexcept
| Returns true if the reverb is enabled.
void | setEnabled (bool newValue) noexcept
| Enables/disables the reverb.
void | prepare (const ProcessSpec &spec)
| Initialises the reverb.
void | reset () noexcept
| Resets the reverb's internal state.
template<typename ProcessContext>
void | process (const ProcessContext &context) noexcept
| Applies the reverb to a mono or stereo buffer.

## Member Typedef Documentation

## Parameters

using juce::dsp::Reverb::Parameters = juce::Reverb::Parameters

## Constructors and Destructors

## Reverb()

juce::dsp::Reverb::Reverb | ( |  | ) |

default

Creates an uninitialised Reverb processor.

Call prepare() before first use.

## Member Functions

## getParameters()

const Parameters & juce::dsp::Reverb::getParameters | ( |  | ) | const

inline noexcept

Returns the reverb's current parameters.

## setParameters()

void juce::dsp::Reverb::setParameters | ( | const Parameters & | newParams | ) |

inline

Applies a new set of parameters to the reverb.

Note that this doesn't attempt to lock the reverb, so if you call this in parallel with the process method, you may get artifacts.

## isEnabled()

bool juce::dsp::Reverb::isEnabled | ( |  | ) | const

inline noexcept

Returns true if the reverb is enabled.

## setEnabled()

void juce::dsp::Reverb::setEnabled | ( | bool | newValue | ) |

inline noexcept

Enables/disables the reverb.

## prepare()

void juce::dsp::Reverb::prepare | ( | const ProcessSpec & | spec | ) |

inline

Initialises the reverb.

References juce::dsp::ProcessSpec::sampleRate.

## reset()

void juce::dsp::Reverb::reset | ( |  | ) |

inline noexcept

Resets the reverb's internal state.

## process()

template<typename ProcessContext>

void juce::dsp::Reverb::process | ( | const ProcessContext & | context | ) |

inline noexcept

Applies the reverb to a mono or stereo buffer.

References jassert, and jassertfalse.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited